Subject: Re: bug#66269: 29.1.50; MacOS Issue on MacOS 14

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Sep 2023 20:33:01 +0300

merge 66269 66245
thanks

> Date: Fri, 29 Sep 2023 10:05:55 -0700
> From: asocial-hired.0l--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> 
> I went into the terminal and I typed `emacs file`.
> 
> The warning was as follows:
> 
> ```
> 2023-09-29 09:58:56.738 Emacs[5948:238435] WARNING: Secure coding is not enabled for restorable state! Enable secure coding by implementing NSApplicationDelegate.applicationSupportsSecureRestorableState: and returning YES.
> ```
> 
> Any launch of emacs, including `emacs -q`, triggers this. I found here
> another application had to fix it on their end:
> https://github.com/owncloud/client/issues/11191

This is a duplicate of a known bug#66245.  Bottom line: ignore the
warning, and it will go away when you build the emacs-29 branch next
time.